LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-05-2007, 09:40 PM   #1
eric11210
LQ Newbie
 
Registered: Jan 2007
Posts: 28

Rep: Reputation: 15
Error installing Privoxy on Suse 10.2 exit status 6?


Hi all,

My introduction follows in case you just want me to get to the point (if you would rather see that I'm polite and really making an effort to get everything sorted out on Linux, feel free to read after this ).

I've been trying to install Privoxy. I downloaded the rpm for Suse. I'm running 10.2. I've entered: rpm -Uvh privoxy-suse-3.0.3-1.i386.rpm.

This is the error code I get when it installs:

groupadd: GID 73 is not unique.
error: %pre(privoxy-suse-3.0.3-1.i386) scriptlet failed, exit status 6
error: install: %pre scriptlet failed (2), skipping privoxy-suse-3.0.3-1

Anyone have any clue how to get this working? I can't seem to get it to compile from source either, but not sure if I need are earlier version, a later version or what. . .

I'm new to the world of Linux. I installed it after my latest MS Windows crash destroyed all my data and I got tired of trying to make Winblows work.

Anyway, I'm running Suse 10.2. There has been quite a learning curve, but I've figured most things out on my own or with a bit of a nudge in the right direction. There are a small handful of problems I'm posting here which I can't seem to figure out and haven't gotten answers elsewhere for them. I sincerely hope someone here can help me.

I did a search and couldn't find any information about this.

Eric
 
Old 01-05-2007, 11:06 PM   #2
eric11210
LQ Newbie
 
Registered: Jan 2007
Posts: 28

Original Poster
Rep: Reputation: 15
For those who may be having a similar problem, I've not been able to solve this thing completely yet, but I did find a work around (it's a royal pain in the neck, but it does get you Privoxy/Tor/Vidalia).

You need to have wine installed. Then download the windows bundle of Tor. It will come with everything, specifcally for windows of course. Run the installation program with wine, just choose where you want it installed (it defaults to c:/program files which obviously doesn't exist for us), then leave checked the box that says run programs when finished. Tor/Privoxy/Vidalia will start no problem and it works whether you use a wine based browser (like FirefoxPortable) or the native Linux Firefox Browser (I tried both and installed the Torbutton which worked flawlessly in both versions).


Edit: I don't know where it's installing to, but I found I can just leave the defaults when I do the re-install of the Tor bundle. But I still have to re-install after each reboot to get this working.


Trouble is, I haven't found a way to get Privoxy to work again (once your computer is rebooted) without going through the install again. Directly trying to run Privoxy through wine brings up an error message: fatal error: can't check configuration file config.txt.

If someone knows a way around this, it shouldn't be any big deal to write a simple script to run all three programs under wine automatically. . .

Otherwise, you need to keep re-running the installation wizard every time you turn the computer on, which can get very tedious.

Of course, the best solution would be if someone knows what those error messages on the native version of Privoxy means. I can't find information about it anywhere.

Thanks all for any help.

Eric

Last edited by eric11210; 01-05-2007 at 11:18 PM.
 
Old 01-07-2007, 10:20 AM   #3
eric11210
LQ Newbie
 
Registered: Jan 2007
Posts: 28

Original Poster
Rep: Reputation: 15
Well I licked this problem on my own. I had to compile from source and used the older version of sourse (3.3 or something like that I believe). That worked just fine. So for anyone with a similar problem, just compile from source, using the older version, not the current stable version of Privoxy.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Why this error 'pppd died unexpectadly Exit status:1' while connecting GPRS kcarun Debian 3 01-04-2007 11:20 PM
dpkg error -- exit status 128 kushalkoolwal Debian 6 07-21-2006 01:36 PM
error exit status 30 debian_dummy Debian 2 09-21-2004 10:26 PM
konstruct error collect2: ld returned 1 exit status X2O Linux - Software 2 08-11-2004 08:48 PM
glibc error: ld retured 1 exit status rahul_jain_9684 Linux From Scratch 2 09-17-2003 02:57 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 01:39 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration